Subject: bug#49355: [guix-jupyter] timeout issue running the kernel

From: Ludovic Courtès <[email-masked]>
Date: Tue, 06 Jul 2021 17:48:55 +0200

Hi,

Domagoj Stolfa <[email-masked]> skribis:

> After a very painful bisect with various issues appearing in jupyter (unrelated
> to this one), I've identified the first good commit and the first bad commit.
>
> The commit range which caused the problem is between
>
> 95f25c9b13e22603c35f3acd9048fbd1c8671925
>
> and
>
> 9e7f09cbec40257619e57edfdd700c775e96833d
>
> which is a series of commits by Ricardo updating a bunch of python stuff,
> including jupyter. My suspicion is that the update to jupyter-core from 4.4.0 to
> 4.7.1 (2a12cbaaab970bcab09002e952e062da0274f0b6) caused jupyter-core to no
> longer agree with the guix kernel. I haven't diagnosed further.
>
> The first good commit is 85788dd64d5c54ff52f19c8bb6c8c522ed581b2c and the first
> bad commit I was able to actually get jupyter to work on is
> 9e7f09cbec40257619e57edfdd700c775e96833d.

Thanks for bisecting!

I believe this is fixed by
<https://gitlab.inria.fr/guix-hpc/guix-kernel/-/commit/bc81615c11b67abe6533d7e076cf152d06618866>.

You should be able to try it out by running:

  guix environment --ad-hoc jupyter guix-jupyter \
    --with-branch=guix-jupyter=master -- \
    jupyter notebook --debug --no-browser

Hmm now that I re-test it seems to be unreliable.  Perhaps I’m missing
something else.

Let me know if it works for you!

Ludo’.